couplingmatrix1A = -TakeMatrix[0, {1, 7}, {6, 8}] . 
       Inverse[TakeMatrix[0, {7, 7}, {8, 8}]] . TakeMatrix[0, {7, 9}, 
        {8, 14}] + TakeMatrix[0, {1, 9}, {6, 14}]
 
couplingmatrix1A /: couplingmatrix1A::usage = "couplingmatrix1A is a matrix \
giving the coupling of displacements in the parameters into the system for \
the stage 1A problem with elasticity from wire bending."
 
TakeMatrix[(LinearAlgebra`MatrixManipulation`Private`mat_)?MatrixQ, 
     LinearAlgebra`MatrixManipulation`Private`start:
      {LinearAlgebra`MatrixManipulation`Private`startR_Integer, 
       LinearAlgebra`MatrixManipulation`Private`startC_Integer}, 
     LinearAlgebra`MatrixManipulation`Private`end:
      {LinearAlgebra`MatrixManipulation`Private`endR_Integer, 
       LinearAlgebra`MatrixManipulation`Private`endC_Integer}] := 
    (Take[#1, {LinearAlgebra`MatrixManipulation`Private`startC, 
         LinearAlgebra`MatrixManipulation`Private`endC}] & ) /@ 
      Take[LinearAlgebra`MatrixManipulation`Private`mat, 
       {LinearAlgebra`MatrixManipulation`Private`startR, 
        LinearAlgebra`MatrixManipulation`Private`endR}] /; 
     And @@ Thread[Dimensions[
          LinearAlgebra`MatrixManipulation`Private`mat] >= 
         LinearAlgebra`MatrixManipulation`Private`start] && 
      And @@ Thread[Dimensions[
          LinearAlgebra`MatrixManipulation`Private`mat] >= 
         LinearAlgebra`MatrixManipulation`Private`end]
 
TakeMatrix /: TakeMatrix::usage = "TakeMatrix[mat, start, end] gives the \
submatrix starting at position start and ending at position end, where each \
position is expressed as a  {row, column} pair, e.g., {1, 2}."
